CVE-2010-1257

MEDIUM

Description

Cross-site scripting (XSS) vulnerability in the toStaticHTML API, as used in Microsoft Office InfoPath 2003 SP3, 2007 SP1, and 2007 SP2; Office SharePoint Server 2007 SP1 and SP2; SharePoint Services 3.0 SP1 and SP2; and Internet Explorer 8 allows remote attackers to inject arbitrary web script or HTML via vectors related to sanitization.

References

http://support.avaya.com/css/P8/documents/100089747

http://www.securityfocus.com/bid/40409

http://www.us-cert.gov/cas/techalerts/TA10-159B.html

https://docs.microsoft.com/en-us/security-updates/securitybulletins/2010/ms10-035

https://docs.microsoft.com/en-us/security-updates/securitybulletins/2010/ms10-039

https://exchange.xforce.ibmcloud.com/vulnerabilities/58866

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A6677

Details

Source: MITRE

Published: 2010-06-08

Updated: 2018-10-30

Type: CWE-79

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:microsoft:office_infopath:2003:sp3:*:*:*:*:*:*

cpe:2.3:a:microsoft:office_infopath:2007:sp1:*:*:*:*:*:*

cpe:2.3:a:microsoft:office_infopath:2007:sp2:*:*:*:*:*:*

Configuration 2

OR

cpe:2.3:a:microsoft:sharepoint_server:2007:sp1:x32:*:*:*:*:*

cpe:2.3:a:microsoft:sharepoint_server:2007:sp1:x64:*:*:*:*:*

cpe:2.3:a:microsoft:sharepoint_server:2007:sp2:x32:*:*:*:*:*

cpe:2.3:a:microsoft:sharepoint_server:2007:sp2:x64:*:*:*:*:*

Configuration 3

OR

cpe:2.3:a:microsoft:sharepoint_services:3.0:sp1:x32:*:*:*:*:*

cpe:2.3:a:microsoft:sharepoint_services:3.0:sp1:x64:*:*:*:*:*

cpe:2.3:a:microsoft:sharepoint_services:3.0:sp2:x32:*:*:*:*:*

cpe:2.3:a:microsoft:sharepoint_services:3.0:sp2:x64:*:*:*:*:*

Configuration 4

AND

OR

cpe:2.3:a:microsoft:ie:8:*:*:*:*:*:*:*

OR

cpe:2.3:o:microsoft:windows_2003_server:*:sp2:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_2003_server:*:sp2:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:-:*:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:*:*:x32:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:*:*:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:*:sp2:x32:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:*:sp2:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:r2:*:itanium:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:r2:*:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_vista:*:sp1:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_vista:*:sp1:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_vista:*:sp2:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_vista:*:sp2:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_vista:-:sp1:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_vista:-:sp2:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_xp:*:sp2:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_xp:*:sp3:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_xp:-:sp2:x64:*:*:*:*:*

Tenable Plugins

View all (2 total)

IDNameProductFamilySeverity
46846MS10-039: Vulnerabilities in Microsoft SharePoint Could Allow Elevation of Privilege (2028554)NessusWindows : Microsoft Bulletins
medium
46842MS10-035: Cumulative Security Update for Internet Explorer (982381)NessusWindows : Microsoft Bulletins
high